We say it every year. We get to work each day with talented, dedicated people. We hear it from others, from
outside our Company, or who join us from other organizations. We hear it from those who provide merchandise and
services to our Company. Most importantly, we hear it from our customers. We have heard it described as passion,
or as a can-do attitude. Whatever it is, it has taken a thought in 1971 to a chain of 34 stores in 1992 and, today,
transformed it into a Company that at the end of fiscal 2006 comprised 888 Bed Bath & Beyond, Christmas Tree Shops
and Harmon stores in 48 states, the District of Columbia and Puerto Rico. Now that passion is extended to another
phase in our customers life-cycle with the addition of buybuy BABY this past March. We say this every year and never
get tired of it: we are excited about the prospects for our Company, not only for the benefits our continued profitable
growth will present to our customers, shareholders and vendor partners, but for the opportunities that growth will
provide our more than 35,000 associates who amaze us each day with their energy, talent, dedication and hard work.

On the following pages, we present an overview of our recently completed fiscal 2006. We also will provide you with
the information you need in connection with our upcoming Annual Meeting.
Fiscal 2006 was our 36th year of operations, and our 15th as a public company. As set forth below, the results during fiscal
2006 were our best ever. Here are some of the highlights:
 Net earnings for the fiscal year (fifty-three weeks) ended March 3, 2007 were $2.09 per diluted share. This included a
non-recurring charge of approximately $.07 per diluted share to protect our associates from certain potential adverse tax
consequences arising pursuant to Internal Revenue Code Section 409A. The $2.09 exceeded fiscal 2005 (fifty-two weeks)
net earnings of $1.92 per diluted share by approximately 8.9%. Earnings before the one-time charge exceeded fiscal 2005 per
share net earnings by approximately 12%. Recall that, as previously disclosed, fiscal 2005 included only one-half year of stock
option expense related to our Companys early adoption of SFAS No.123(R) while fiscal 2006 included a full year.
 Net sales for fiscal 2006 (fifty-three weeks) were approximately $6.6 billion, an increase of approximately 13.9%
from the prior years sales of $5.8 billion.
 Comparable store sales for fiscal 2006 increased by approximately 4.9%, on top of an increase of approximately 4.6% in fiscal
2005. All comparable store sales percentages are calculated based on an equivalent number of weeks for each annual period.
 During fiscal 2006, we opened 74 new Bed Bath & Beyond stores. We ended the year with 815 Bed Bath & Beyond stores in
48 states, the District of Columbia and Puerto Rico, 34 Christmas Tree Shops stores in eight states, and 39 Harmon stores in
three states.
 At the close of fiscal 2006, cash and investments totaled approximately $1.1 billion, even after deducting cash used in our
expansion program, ongoing infrastructure enhancements and share repurchase activity.
 We returned approximately $301 million in value to our shareholders during our fiscal fourth quarter through our ongoing
share repurchase program.
In addition, during the past year our Company continued its efforts toward the reduction of its consumption of natural
resources, which we discussed in our letter last year. For example, our Company opened a pilot Bed Bath & Beyond store that
incorporates a range of design and technology features to reduce energy consumption, such as skylights coupled with automatic
light dimmers and advanced control programming in a system that creates energy savings equivalent to turning 25% of the
stores lights off every day for 16 hours. This store also features compact fluorescent lighting in vignettes, LED building sign
lighting instead of neon, and a number of other conservation technologies including solar sink faucets that use ambient light to
power the equipment that automatically turns water on and off, saving both energy and water. Further, our Company started
buying hybrid cars for certain personnel whose jobs entail frequent car travel. Looking forward, our Company has plans to install
solar arrays on four New Jersey facilities. When completed, these facilities will make us one of the largest solar energy producers
in the State of New Jersey, conserving an estimated 109,500 barrels of oil and reducing carbon dioxide by 38 million pounds
over a 30-year period. Our Company also established a committee of senior management to oversee and coordinate our many
efforts in the area of energy conservation and general environmental responsibility, and to evaluate means available to make
more public disclosure on our response to these important issues.
We also want to take this opportunity to introduce Patrick Gaston to our fellow shareholders. Patrick has been elected
to our Board of Directors and brings a wealth of wisdom and experience from his many years at Verizon, where he has served
in a variety of management positions and now heads Verizon Foundation. He also serves on the boards of various charitable
organizations.

As we continue to widen the gap between ourselves and our competitors, that widening is first and last a testament to the
abilities and passion of our people. Culturally, we focus every day on the many, many things we can do better, but we like to take
this one opportunity each year to make sure you, our fellow shareholders, understand whatever successes are represented by the
results reported here are credited to our Bed Bath & Beyond, Christmas Tree Shops and Harmon associates. For what we hope will
be another record year, we add our talented buybuy BABY associates to this remarkable mix. This is truly an exciting time for us all.
We would also like to take a moment to thank our customers, for giving us purpose, and our business partners, for their roles
in providing us the merchandise and services that have continued to contribute to our growth and success. We remain focused on
the challenges and opportunities before us. Standing together with all of those with whom we have the honor of working, we
expect 2007 to be another fabulous year.